Bug 34748 - incorrect milo image for XL 366
incorrect milo image for XL 366
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: rescue-disk (Show other bugs)
7.0
alpha Linux
medium Severity high
: ---
: ---
Assigned To: Phil Copeland
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-04 15:25 EDT by Warren Mansur
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-26 13:03:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Warren Mansur 2001-04-04 15:25:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)


I installed RedHat 7.0 on an Alpha XL 366. The XL 366 does not have an SRM 
console.  It only has AlphaBios available.  Therefore the only option is 
to boot from milo.

Following the table on page 89 of the "Redhat installation guide for the 
alpha processor" that was distributed in the RedHat 7.0 for Alpha box, I 
made a disk based on "xlt.img".  This table specifically says to use 
xlt.img for the XL-366.

When I booted the floppy (following the rest of the instructions from 
Appendix A in the installation guide), linload.exe loaded milo from the 
floppy as it should have.  However, milo froze after it printed "Switching 
to PALcode 0x0...".  I tried this several times and also tried using 
the "xl.img".  Neither one of them worked as specified in the installation 
guide.  All of them froze after printing "Switching to PALcode at 0x0...".

I was able to get the correct milo image from a Compaq internal site, and 
then the boot went fine.  RedHat is now installed on the system.

Page 90 of the installation guide states to visit this site for the milo 
images:

ftp://gatekeeper.dec.com/pub/Digital/Linux-Alpha/Miniloader/latest-Images/.

That site contains an XL-366 directory, but its only contents are a file 
labeled "milo" that is 0 bytes long.

All of the above description can be summarized by saying that either 
the "installation guide for the alpha processor" wrongly tells us to use 
xlt.img, or the Redhat 7.0 CD does not contain any milo images capable of 
running on the Alpha XL-366.

Reproducible: Always
Steps to Reproduce:
1. Build a milo disk from the RedHat 7.0 Alpha cd by typing:
cd /mnt/cdrom/milo/images/
cp xlt.img.gz .
gunzip xlt.img.gz
dd if=xlt.img of=/dev/fd0 bs=72k (found on p. 103 of the installation 
guide)
2. Insert the floppy into the floppy drive of an Alpha XL-366
3. Push the XL-366 power button
4. Press 'F2' for setup
5. Follow the instructions on page 94 of the installation guide to set up 
an OS selection that will boot the milo floppy
6. Press 'Esc Esc' to go to the OS selection menu
7. Boot the Milo floppy by selecting it from the OS Selection menu
8. 

Actual Results:  linload.exe will load milo, which will then freeze after 
printing:
"Switching to PALcode at 0x0...."

Expected Results:  After seeing "Switching to PALcode at 0x0....", the 
milo prompt should have appeared so that we could boot RedHat from the CD
Comment 1 Warren Mansur 2001-04-08 16:31:02 EDT
I re-read my bug description, and realized I forgot to say that if necessary, I 
am able to send the correct milo image I obtained from a Compaq internal site.  
I could not find this image on external sites, so it may only be available on 
the internal site.

In addition, I will check this bug report frequently so that the redhat 
developer may ask me questions.

Regards,

Warren
Comment 2 Phil Copeland 2001-06-04 15:32:09 EDT
Milo is officially unsupported 8/ however I'll see what can be done

Cheers

Note You need to log in before you can comment on or make changes to this bug.